SET STATISTICS IO, TIME ON

SELECT
	Tytul	= P.c.value('(TITLE/text())[1]', 'VARCHAR(100)'),
	Postac	= T.c.value('text()[1]', 'VARCHAR(100)')
FROM dbo.PowerShellStuff s

	CROSS APPLY s.XMLStuff.nodes('/PLAY') P(c)

	CROSS APPLY P.c.nodes('PERSONAE/PERSONA') T(c)

WHERE
	1 = 1
	AND P.c.exist('TITLE[. = "Twelfth Night, or What You Will"]') = 1

--ORDER BY
--	P.c.value('(TITLE/text())[1]', 'VARCHAR(100)')

-- =====
ALTER TABLE dbo.PowershellStuff ADD
	CONSTRAINT PK_PowershellStuff_ID
	PRIMARY KEY CLUSTERED(ID)
;
GO

CREATE PRIMARY XML INDEX PXI_XMLStuff
	ON dbo.PowershellStuff(XMLStuff)
;
GO

-- =====
SELECT
	Tytul	= P.c.value('(TITLE/text())[1]', 'VARCHAR(100)'),
	Postac	= T.c.value('text()[1]', 'VARCHAR(100)')
FROM dbo.PowerShellStuff s

	CROSS APPLY s.XMLStuff.nodes('/PLAY') P(c)

	CROSS APPLY P.c.nodes('PERSONAE/PERSONA') T(c)

WHERE
	1 = 1
	AND P.c.exist('TITLE[. = "Twelfth Night, or What You Will"]') = 1

CREATE XML INDEX IX_XMLStuff_PATH
	ON dbo.PowershellStuff(XMLStuff)
	USING XML INDEX PXI_XMLStuff
	FOR PATH
;
GO

SELECT
	Tytul	= P.c.value('(TITLE/text())[1]', 'VARCHAR(100)'),
	Postac	= T.c.value('text()[1]', 'VARCHAR(100)')
FROM dbo.PowerShellStuff s

	CROSS APPLY s.XMLStuff.nodes('/PLAY') P(c)

	CROSS APPLY P.c.nodes('PERSONAE/PERSONA') T(c)

WHERE
	1 = 1
	AND P.c.exist('TITLE[. = "Twelfth Night, or What You Will"]') = 1

SET STATISTICS IO, TIME OFF