USE XMLDB_2014;
GO

IF OBJECT_ID(N'dbo.WikiXML', N'U') IS NULL
	EXEC sp_executesql N'
CREATE TABLE dbo.WikiXML (
	Id		INT	IDENTITY(1, 1)	NOT NULL,
	XMLData	XML					NOT NULL		
) ON FG_DATA'
GO

-- import
-- [1] 1m41s [2] 2m26s 
INSERT INTO dbo.WikiXML (XMLData)
SELECT
	CONVERT(XML, x.BulkColumn)
FROM OPENROWSET(
	BULK 'F:\plwiki-20160407-pages-meta-current2.xml',
	SINGLE_BLOB
) AS x 

SELECT
	Id,
	MB	= DATALENGTH(XMLData)  /1024 / 1024
FROM dbo.WikiXML

SELECT *
INTO dbo.WikiXML_NoIndex
FROM dbo.WikiXML

