:CONNECT WIN-R1EPJQ390D6\SQL2014

USE master;
GO

IF DB_ID('XMLDB_2014') IS NOT NULL
BEGIN
	ALTER DATABASE XMLDB_2014
		SET SINGLE_USER 
		WITH ROLLBACK IMMEDIATE;

	DROP DATABASE XMLDB_2014;
END

CREATE DATABASE XMLDB_2014
ON PRIMARY (
	NAME		= N'XMLDB_2014',
	FILENAME	= N'S:\DB\XMLDB_2014.mdf',
	SIZE		= 40960KB,
	FILEGROWTH	= 51200KB
), 
FILEGROUP [FG_DATA] (
	NAME		= N'XMLDB_2014_FG_DATA1',
	FILENAME	= N'S:\DB\XMLDB_2014_FG_DATA1.ndf',
	SIZE		= 409600KB,
	FILEGROWTH	= 409600KB
)
LOG ON (
	NAME		= N'XMLDB_2014_log',
	FILENAME	= N'S:\DB\XMLDB_2014_log.ldf',
	SIZE		= 204800KB,
	FILEGROWTH	= 204800KB
)
GO
ALTER DATABASE XMLDB_2014
	SET RECOVERY SIMPLE 
GO

USE XMLDB_2014;
GO

IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'FG_DATA')
	ALTER DATABASE XMLDB_2014
		MODIFY FILEGROUP [FG_DATA] DEFAULT
GO


CREATE SCHEMA stg AUTHORIZATION dbo;
GO

CREATE SCHEMA wiki AUTHORIZATION dbo;
GO

CREATE SCHEMA u AUTHORIZATION dbo;
GO

CREATE SCHEMA t AUTHORIZATION dbo;
GO

USE [master]
GO
ALTER DATABASE [XMLDB_2014] ADD FILEGROUP [FG_INDEKSY]
GO
ALTER DATABASE [XMLDB_2014] ADD FILE (
	NAME		= N'XMLDB_2014_FG_INDEKSY', 
	FILENAME	= N'I:\DB\XMLDB_2014_FG_INDEKSY.ndf',
	SIZE		= 2048000KB,
	FILEGROWTH	= 409600KB
) TO FILEGROUP [FG_INDEKSY]
GO
