/*
9m20s, 15.5 GB tempdb
Msg 6365, Level 16, State 1, Line 52
An XML operation resulted an XML data type exceeding 2GB in size. Operation aborted.
*/
DECLARE @testXML XML = (SELECT
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.xml' 
GO

-- ================
--6m31s, 6.6GB tempdb, plik 3.1GB
DECLARE @testXML VARCHAR(MAX) = (SELECT TOP 8000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.8M.xml' 
GO

-- 18m54s X 15.5GB tempdb,  plik 1.9GB
DECLARE @testXML VARCHAR(MAX) = (SELECT TOP 8000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'), ROOT('Transactions'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.8M.Root.xml' 


-- ================
DECLARE @testXML XML = (SELECT TOP 8000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.xml' 
GO

-- ================
-- 10m16s 11.7 GB tempdb, 3.8GB plik
DECLARE @testXML XML = (SELECT TOP 18000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.18M.xml' 
GO

-- ================
-- 12m19s 10.6 GB tempdb, 4.7GB plik
DECLARE @testXML VARCHAR(MAX) = (SELECT TOP 12000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.12M.xml' 

-- 18m549s X 15.5GB tempdb,  plik 1.9GB
DECLARE @testXML VARCHAR(MAX) = (SELECT TOP 18000000
        *
    FROM AdventureWorks2014.dbo.bigTransactionHistory
    FOR XML PATH ('Transaction'), ROOT('Transactions'))
EXECUTE dbo.spSaveXMLVariableToFile @testXML, 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.18M.Root.xml' 


USE XMLDB_2014;
GO

IF OBJECT_ID(N'dbo.AW2014bigTransactionHistory', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.AW2014bigTransactionHistory';
GO

-- 2m22s, 4GB tempdb
SELECT Transactions = CONVERT(NVARCHAR(MAX), BulkColumn)
INTO XMLDB_2014.dbo.AW2014bigTransactionHistory
FROM OPENROWSET(BULK 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.5M.xml', SINGLE_BLOB) AS x 

-- ========================
IF OBJECT_ID(N'dbo.AW2014bigTransactionHistory', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.AW2014bigTransactionHistory';
GO

-- 1m30s, 2.8GB tempdb
SELECT Transactions = CONVERT(XML, BulkColumn)
INTO XMLDB_2014.dbo.AW2014bigTransactionHistory
FROM OPENROWSET(BULK 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.5M.xml', SINGLE_BLOB) AS x 

-- ========================
IF OBJECT_ID(N'dbo.AW2014bigTransactionHistory', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.AW2014bigTransactionHistory';
GO

-- 2m30s, 4.5GB tempdb
-- 2m33s, 4.5GB tempdb
SELECT Transactions = CONVERT(XML, BulkColumn)
INTO XMLDB_2014.dbo.AW2014bigTransactionHistory
FROM OPENROWSET(BULK 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.8M.xml', SINGLE_BLOB) AS x 

-- ========================
IF OBJECT_ID(N'dbo.AW2014bigTransactionHistory', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.AW2014bigTransactionHistory';
GO

-- 4m09s, 6.6GB tempdb
SELECT Transactions = CONVERT(XML, BulkColumn)
INTO XMLDB_2014.dbo.AW2014bigTransactionHistory
FROM OPENROWSET(BULK 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.12M.xml', SINGLE_BLOB) AS x 



-- ========================
IF OBJECT_ID(N'dbo.AW2014bigTransactionHistory', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.AW2014bigTransactionHistory';
GO

-- 4m09s, 6.6GB tempdb
SELECT Transactions = CONVERT(XML, BulkColumn)
INTO XMLDB_2014.dbo.AW2014bigTransactionHistory
FROM OPENROWSET(BULK 'S:\Files\SampleXML\AW2014.dbo.bigTransactionHistory.20M.Root.xml', SINGLE_BLOB) AS x 

